Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message
Class MessageManagerImpl

    java.lang.Object
      hr.tis.mgw.client.message.MessageManagerImpl

All Implemented Interfaces:
  MessageManager, org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort, hr.kapsch.wsdl.parlayx.v1_0.notification.NotificationExtensionPort, NotificationManagerReceiver, java.rmi.Remote, org.csapi.www.wsdl.parlayx.sms.v1_0.notification.SmsNotificationPort

Deprecated. For mGw version 2 use MessageManager2Impl.

public class MessageManagerImpl
extends java.lang.Object
implements MessageManager, NotificationManagerReceiver

Implementation of `MessageManager` that uses Axis SOAP library for communication with gateway's Parlay X web services.

Following dependencies have to be set:

- `RouteCredentialsHandler`, for resolving security credentials specific to route
- sendMessagePortURL, specifying URL of gateway's SendMessagePort web service
- receiveMessagePortURL, specifying URL of gateway's ReceiveMessagePort web service

See Also:
  `MessageManager2Impl`

Constructor Summary
`MessageManagerImpl()` Deprecated.

Method Summary
`void` | `cancelMessageListenerRegistration(java.lang.String routeId)` Deprecated. Method for removing registered MessageListener.
`Attachment[]` | `getMessageAttachments(java.lang.String routeId, java.lang.String messageId)` Deprecated. Returns Attachments that message under specified ID contains.
`DeliveryStatusInfo[]` | `getMessageDeliveryStatus(java.lang.String routeId, java.lang.String messageId)` Deprecated. Returns delivery status of each destination for message specified by ID (returned by `sendMessage(String, Message, String, String[], Priority, String)` method).
`java.lang.String` | `getReceiveMessagePortURL()` Deprecated.
`RouteCredentialsHandler` | `getRouteCredentialsHandler()` Deprecated.
`java.lang.String` | `getSendMessagePortURL()` Deprecated.
`int` | `getTimeout()` Deprecated.
`void` | `notifyLongSmsReception(java.lang.String registrationIdentifier, java.lang.String smsServiceActivationNumber, java.lang.String senderAddress, java.lang.String message, int sarMsgRefNum, int sarTotalSegments, int sarSegmentSeqNum)` Deprecated.
`void` | `notifyMessageReception(java.lang.String registrationIdentifier, org.csapi.www.schema.parlayx.mm.v1_0.MessageRef messageRef)` Deprecated.
`void` | `notifySmsReception(java.lang.String registrationIdentifier, java.lang.String smsServiceActivationNumber, org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier senderAddress, java.lang.String message)` Deprecated.
`void` | `registerMessageListener(java.lang.String routeId, MessageListener listener)` Deprecated. Method for registering MessageListener that will asynchronously accept incoming messages and delivery reports from gateway.
`java.lang.String` | `sendMessage(java.lang.String routeId, Message message, java.lang.String serviceAddress, java.lang.String[] endUserAddresses, Priority priority, java.lang.String charging)` Deprecated. This method requests message sending to set of destination numbers, returning request identifier to identify the message.
`void` | `setReceiveMessagePortURL(java.lang.String receiveMessagePortURL)` Deprecated.
`void` | `setRouteCredentialsHandler(RouteCredentialsHandler routeCredentialsHandler)` Deprecated.
`void` | `setSendMessagePortURL(java.lang.String sendMessagePortURL)` Deprecated.
`void` | `setTimeout(int timeout)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageManagerImpl

    public MessageManagerImpl()

  Deprecated.

Method Detail

### sendMessage

    public java.lang.String sendMessage(java.lang.String routeId,
                                        Message message,
                                        java.lang.String serviceAddress,
                                        java.lang.String[] endUserAddresses,
                                        Priority priority,
                                        java.lang.String charging)
                                 throws GatewayException,
                                        MessageTooLargeException,
                                        UnknownEndUserAddressException,
                                        NoRouteCredentialsException,
                                        java.rmi.RemoteException

  Deprecated.
  Description copied from interface: `MessageManager`
  This method requests message sending to set of destination numbers, returning request identifier to identify the message. This message ID can subsequently be used to see message delivery status, when application gets notified about it.
  Message content is provided by Message implementation.

  Specified by:
    `sendMessage` in interface `MessageManager`
  Parameters:
    `routeId` - route identifier required for request authorization
    `message` - implementation of Message (SMS, MMS, etc.)
    `serviceAddress` - sender service address (MSISDN number or some other identifier)
    `endUserAddresses` - array of destination end user addresses (MSISDN number or some other identifier). Note that URI scheme can also be set as a part of endUserAddress, otherwise where no URI scheme is set, then 'tel:' is going to be used as a default URI scheme.
    `priority` - message priority
    `charging` - specifies operator-specific charging policy
  Returns:
    String identifying sending request (message ID)
  Throws:
    `GatewayException` - when gateway couldn't process request for some reason
    `NoRouteCredentialsException` - when security credentials cannot be resolved for specified route
    `UnknownEndUserAddressException` - when end user address was unknown
    `java.rmi.RemoteException` - when there was communication error with gateway
    `MessageTooLargeException` - when message exceeded maximum length supported

### getMessageDeliveryStatus

    public DeliveryStatusInfo[] getMessageDeliveryStatus(java.lang.String routeId,
                                                         java.lang.String messageId)
                                                  throws GatewayException,
                                                         UnknownMessageIdentifierException,
                                                         NoRouteCredentialsException,
                                                         java.rmi.RemoteException

  Deprecated.
  Description copied from interface: `MessageManager`
  Returns delivery status of each destination for message specified by ID (returned by `MessageManager.sendMessage(String, Message, String, String[], Priority, String)` method).

  Specified by:
    `getMessageDeliveryStatus` in interface `MessageManager`
  Parameters:
    `routeId` - route identifier required for request authorization
    `messageId` - message identifier
  Returns:
    array of DeliveryStatusInfo
  Throws:
    `NoRouteCredentialsException` - when security credentials cannot be resolved for specified route
    `UnknownMessageIdentifierException` - when message under specified ID isn't found in gateway
    `GatewayException` - when gateway couldn't process request for some reason
    `java.rmi.RemoteException` - when there was communication error with gateway

### getMessageAttachments

    public Attachment[] getMessageAttachments(java.lang.String routeId,
                                              java.lang.String messageId)
                                       throws GatewayException,
                                              UnknownMessageIdentifierException,
                                              NoRouteCredentialsException,
                                              java.rmi.RemoteException

  Deprecated.
  Description copied from interface: `MessageManager`
  Returns Attachments that message under specified ID contains.

  Specified by:
    `getMessageAttachments` in interface `MessageManager`
  Parameters:
    `routeId` - route identifier required for request authorization
    `messageId` - message identifier
  Returns:
    array of message Attachments
  Throws:
    `java.rmi.RemoteException` - when there was communication error with gateway
    `UnknownMessageIdentifierException` - when message under specified ID isn't found in gateway
    `NoRouteCredentialsException` - when security credentials cannot be resolved for specified route
    `GatewayException` - when gateway couldn't process request for some reason

### registerMessageListener

    public void registerMessageListener(java.lang.String routeId,
                                        MessageListener listener)

  Deprecated.
  Description copied from interface: `MessageManager`
  Method for registering MessageListener that will asynchronously accept incoming messages and delivery reports from gateway. This method is only applicable for new Message Notification system used with MessageManager2. You can use this method but then you have to configure "web.xml" as shown is MessageManager2 examples and put "server-config.wsdd" in yours web application WEB-INF directory used with MessageManager2 examples. Note that Route ID corresponds with Registration Identifier used in MessageManager2.

  Specified by:
    `registerMessageListener` in interface `MessageManager`
  Parameters:
    `routeId` - route identifier required for registering message listener to specific route
    `listener` - MessageListener instance
  See Also:
    `MessageManager2.registerMessageListener(String, hr.tis.mgw.client.message.notification.MessageListener2)`

### cancelMessageListenerRegistration

    public void cancelMessageListenerRegistration(java.lang.String routeId)

  Deprecated.
  Description copied from interface: `MessageManager`
  Method for removing registered MessageListener. This method is only applicable for new Message Notification system used with MessageManager2. Note that Route ID corresponds with Registration Identifier used in MessageManager2.

  Specified by:
    `cancelMessageListenerRegistration` in interface `MessageManager`
  Parameters:
    `routeId` - route identifier required for unregistering message listener from specific route
  See Also:
    `MessageManager2.cancelMessageListenerRegistration(String)`

### notifyMessageReception

    public void notifyMessageReception(java.lang.String registrationIdentifier,
                                       org.csapi.www.schema.parlayx.mm.v1_0.MessageRef messageRef)
                                throws java.rmi.RemoteException,
                                       org.csapi.www.wsdl.parlayx.mm.v1_0.notification.ApplicationException

  Deprecated.
  Specified by:
    `notifyMessageReception` in interface `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort`
  Throws:
    `java.rmi.RemoteException`
    `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.ApplicationException`

### notifySmsReception

    public void notifySmsReception(java.lang.String registrationIdentifier,
                                   java.lang.String smsServiceActivationNumber,
                                   org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier senderAddress,
                                   java.lang.String message)
                            throws java.rmi.RemoteException,
                                   org.csapi.www.wsdl.parlayx.sms.v1_0.notification.ApplicationException

  Deprecated.
  Specified by:
    `notifySmsReception` in interface `org.csapi.www.wsdl.parlayx.sms.v1_0.notification.SmsNotificationPort`
  Throws:
    `java.rmi.RemoteException`
    `org.csapi.www.wsdl.parlayx.sms.v1_0.notification.ApplicationException`

### notifyLongSmsReception

    public void notifyLongSmsReception(java.lang.String registrationIdentifier,
                                       java.lang.String smsServiceActivationNumber,
                                       java.lang.String senderAddress,
                                       java.lang.String message,
                                       int sarMsgRefNum,
                                       int sarTotalSegments,
                                       int sarSegmentSeqNum)
                                throws java.rmi.RemoteException

  Deprecated.
  Specified by:
    `notifyLongSmsReception` in interface `hr.kapsch.wsdl.parlayx.v1_0.notification.NotificationExtensionPort`
  Throws:
    `java.rmi.RemoteException`

### setSendMessagePortURL

    public void setSendMessagePortURL(java.lang.String sendMessagePortURL)
                               throws java.net.MalformedURLException

  Deprecated.
  Throws:
    `java.net.MalformedURLException`

### getSendMessagePortURL

    public java.lang.String getSendMessagePortURL()

  Deprecated.

### setReceiveMessagePortURL

    public void setReceiveMessagePortURL(java.lang.String receiveMessagePortURL)
                                  throws java.net.MalformedURLException

  Deprecated.
  Throws:
    `java.net.MalformedURLException`

### getReceiveMessagePortURL

    public java.lang.String getReceiveMessagePortURL()

  Deprecated.

### setRouteCredentialsHandler

    public void setRouteCredentialsHandler(RouteCredentialsHandler routeCredentialsHandler)

  Deprecated.

### getRouteCredentialsHandler

    public RouteCredentialsHandler getRouteCredentialsHandler()

  Deprecated.

### getTimeout

    public int getTimeout()

  Deprecated.

### setTimeout

    public void setTimeout(int timeout)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.